/*
   <p>Test harness for the fixpath module.</p>

   <kbd>
   <b>environ - C programming support functions</b><br>
   Copyright (C) 2005  Martin C Gregorie
   
   This program is free software; you can redistribute it and/or
   modify it under the terms of the Lesser GNU General Public License.
   
   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.
  
   You should have received a copy of the Lesser GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
   </kbd>
  
   <p>Contact Martin Gregorie at <i>martin@gregorie.org</i></p>
*/

#include <stdio.h>
#include "environ.h"

main()
{
    char        name[NAMELTH];
    char        *ptr;

    char        *fixpath();

    printf("\nPath: ");
    scanf("%s",name);
    printf("\n");
    ptr = fixpath(name,"extension","f");
    if (ptr == NULL)
        printf("NULL returned\n");
    else
        printf("File (ext='extension')    %s\n",ptr);

    ptr = fixpath(name,"","f");
    if (ptr == NULL)
        printf("NULL returned\n");
    else
        printf("File (ext='')             %s\n",ptr);

    ptr = fixpath(name,"","d");
    if (ptr == NULL)
        printf("NULL returned\n");
    else
        printf("Directory (ext='')        %s\n",ptr);
    printf("\n");
    return(0);
}
