/*
   <p>Test harness for <i>getwd()</i>.</p>

   <kbd>
   <b>environ - C programming support functions</b><br>
   Copyright (C) 2005  Martin C Gregorie
   
   This program is free software; you can redistribute it and/or
   modify it under the terms of the Lesser GNU General Public License.
   
   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.
  
   You should have received a copy of the Lesser GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
   </kbd>
  
   <p>Contact Martin Gregorie at <i>martin@gregorie.org</i></p>
*/

#include <stdlib.h>
#include <stdio.h>
#include <unistd.h>
#include "environ.h"

main()
{
    char buff[NAMESIZE];
    char *cwd;

    cwd = getcwd(buff, NAMESIZE);
    if (cwd)
       printf("\nCurrent directory:      %s\n",cwd);
    else
       perror("getcwd failed");
       
    exit(0);
}
